Campaign

List campaigns

get
/api/ConsumerApi/v1/Campaigns

Gets a list of campaigns

Authorizations
HTTPRequired

Bearer token using a JWT

Query parameters
api-versionstringOptional
Responses
chevron-right
200

OK

string[]Optional
get
/api/ConsumerApi/v1/Campaigns
200

OK

Get a campaign

get
/api/ConsumerApi/v1/Campaign/{campaignName}

Gets the campaign with the specified name.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
campaignNamestringRequired

The name of the campaign.

Query parameters
api-versionstringOptional
Responses
chevron-right
200

OK

Contains the details of a marketing campaign.

Idinteger · int32Optional

The campaign's Id.

NamestringOptional

The name of the campaign.

Latitudenumber · doubleOptional

The latitude to search for.

Longitudenumber · doubleOptional

The longitude to search for.

Radiusinteger · int32Optional

The search radius.

DescriptionstringOptional

The description of the campaign.

CopystringOptional

The marketing copy to be displayed.

PageTitlestringOptional

The page title.

MetaDescriptionstringOptional

The description meta tag contents.

MetaKeywordsstringOptional

The keywords meta tag contents.

HeaderImageUrlstringOptional

The URL to the header image.

CreateDatestringOptional

When the campaign was created.

UpdateDatestringOptional

When the campaign was last updated.

get
/api/ConsumerApi/v1/Campaign/{campaignName}
200

OK

Last updated

Was this helpful?